All of the custom CSS styles will be written here*/
.dashboard.ibox-content{
    height: 200px;
}

.dashboard.ibox-content.half{
    height: 90px;
}

.dashboard.ibox-content.half:first-child{
    margin-bottom: 20px;	
}

/*Form Display Value*/
.form-display-value{
    font-size: 14px;
    padding: 6px 12px;
}

.one-row{
    width: 100%;
}

.label-margin-left{
	margin-left: 20px;
}

.one-row:before, .one-row:after{
    display: table;
    content: " ";
    clear: both;
}
/*Form Display Value*/

/*Slider No Color*/
.noUi-connect{
    background-color: transparent;
}
/*Slider No Color*/

/*Live View Container*/
.live-view-wrapper{
    width: 100%;
    position: relative;
/*
overflow-x: auto;
position: relative;
overflow-y: hidden;*/
}

.live-view{
    width:320px;
    height:240px;
    margin: 0 auto; 
    border-right: 1px solid #ccc;
    position: relative;
    -webkit-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    transform-origin: 0 0;
}
/*Live View Container*/

/*Picture Container*/
.pic-view{
    overflow: hidden;
    width:100%;
    height: 300px;
    border: 1px solid #ccc;
    position: relative;
}
/*Picture Container*/


/*Live view and depth map tabs*/
.tab-content.liveview .panel-body{
    padding: 10px 0;
}

/*Padding 7px*/
.padding-top-7{
    padding-top: 7px;
}

/*Count in text color*/
.countGreen {
    color: #80C241;
}
/*Count out text color*/
.countBlue {
    color: #6DA2B2;
}

/*classes for site photo*/
/*.site-photo{
width: 100%;
position: relative;
float: left;
display: inline-block;
margin-bottom: 50px;
border: 1px solid #e7e7e7;
text-align: center;
transition-duration: 0.2s;
-webkit-transition-duration: 0.2s;
}*/

/*.site-photo:not(:last-child){
margin-right: 10px;
}*/

/*.site-photo .glyphicon{
color: #e7e7e7;
z-index: 3;
}*/

/*.site-photo:hover{
border: 1px solid #000;
cursor: pointer;
}

.site-photo:hover .glyphicon{
color: #000;
}*/

.site-photo-title{
    position: absolute;
    bottom: 0;
    z-index: 4;
    padding: 5px;
    text-align: left;
    color: white;

    text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -1px 1px 0 #000,
    1px 1px 0 #000;

    font-size: 17px;
}

.site-photo-sample, .site-photo-preview{
    position: absolute;
    left: 50%;
    top: 50%;
    height: 100%;
    width: auto;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    max-width: none
}

.site-photo-sample{
    z-index: 1;
    opacity: 0.5;
}

.site-photo-preview{
    z-index: 3;
}
/*end site photo classes*/

/*remove ibox-title border top*/
.ibox-clear-border-top {
  border-top-style: none;
}
/*end remove ibox-title border top*/

/*remove hr-line-dashed margin*/
.hr-line-dashed-remove-margin {
  margin: 0;
}
/*end remove hr-line-dashed margin*/

/*Fix input not aligned in mobile view*/
.control-label.col-xs-6 {
    padding-top: 7px;
}

p.left-indent, div.left-indent{
    padding-left: 20px;
}

div.left-indent .btn{
    margin-right: 10px;
}

label.text-left{
    text-align: left !important;
}
/*Fix input not aligned in mobile view*/

/*Div for date-time display*/
div#live-view-time, div#live-view-setting {
    margin: 0 auto;
    width: 100%;
    max-width: 320px;
}

div#live-view-setting:before, div#live-view-setting:after{
    display: table;
    content: " ";
}

div#live-view-setting:after{
    clear: both;
}

@media(max-width: 449px){
    div#live-view-time, div#live-view-setting {
        padding: 0 20px;
    }
}
/*Div for date-time display*/

/*Fix For Home Page Showing Time Div*/
.tabs-container.liveview-tabs-container .panel-body{
    border: none;
}

.tabs-container.liveview-tabs-container .liveview.tab-content{
    border-left: 1px solid #e7eaec;
    border-right: 1px solid #e7eaec;
    border-bottom: 1px solid #e7eaec;
}

.tabs-container.liveview-tabs-container div#live-view-time{
    padding-top: 10px;
}

.tabs-container.liveview-tabs-container div#live-view-setting{
    padding-bottom: 10px;
}
/*Fix For Home Page Showing Time Div*/

/*Fix For Home Page Tabs - Make Tabs Slimmer*/
.tabs-container.liveview-tabs-container .nav-tabs > li > a{
    padding: 10px;
}

@media(max-width: 350px){
    .tabs-container.liveview-tabs-container .nav-tabs > li > a{
        padding: 10px 5px;
        font-size: 11px;
    }
}
/*Fix For Home Page Tabs - Make Tabs Slimmer*/

/*Styling for 3D Landing Page Accordian Tabs*/
.no-padding-panel .panel-heading{
    padding: 0 !important;
}

.no-padding-panel .panel-heading h4{
    margin-top: 0;
    padding: 10px 15px;
}

.no-padding-panel .panel-heading a > *{
    color: #555555
}

/*Styling for 3D Landing Page Accordian Tabs*/

/*Inline Form Fix*/
div.flex-inline-form{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

div.flex-inline-form > div{
    margin-left: 15px;
    margin-right: 15px;
}

div.flex-inline-form > div input, div.flex-inline-form > div button{
    width: 75px;
}

div.flex-inline-form > div:first-child{
    margin-left: 0;
}

div.flex-inline-form > div:last-child{
    margin-left: 0;
    margin-right: 0;
}

div.flex-inline-form .flex-fill-form{
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

div.flex-inline-form button{
    margin-bottom: 0 !important;
}

.flex-row{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.flex-row label{
    margin: 0;
}

.flex-row input[type=radio]{
    margin: 0 10px 0 0;
}

.flex-row input[type=checkbox]{
	margin: 0 10px 0 0;
}
/*Inline Form Fix*/

/*Floor Drawing Canvas*/
.floor-space-canvas, .canvas-readonly {
    position: absolute;
    top: 0;
    left: 0;
}
/*Floor Drawing Canvas*/

/*Image Broken Fallback*/
.broken-image{
    position: absolute;
    width: 320px;
    height: 240px;
    top: 0;
    z-index: 10;
}
/*Image Broken Fallback*/

/*Toggle Button*/
.span-label {
	white-space: nowrap;
    padding-top: 7px;
    font-size: 13px;
    color: #da7f45;
}
.tgl {
    display: none;
}

.tgl, .tgl:after, .tgl:before, .tgl *, .tgl *:after, .tgl *:before, .tgl + .tgl-btn {
    box-sizing: border-box;
}

.tgl::-moz-selection, .tgl:after::-moz-selection, .tgl:before::-moz-selection, .tgl *::-moz-selection, .tgl *:after::-moz-selection, .tgl *:before::-moz-selection, .tgl + .tgl-btn::-moz-selection {
    background: none;
}

.tgl::selection, .tgl:after::selection, .tgl:before::selection, .tgl *::selection, .tgl *:after::selection, .tgl *:before::selection, .tgl + .tgl-btn::selection {
    background: none;
}

.tgl + .tgl-btn {
    float: left;
    outline: 0;
    display: block;
    width: 40px;
    height: 24px;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.tgl + .tgl-btn:after, .tgl + .tgl-btn:before {
    position: relative;
    display: block;
    content: "";
    width: 50%;
    height: 100%;
}

.tgl + .tgl-btn:after {
    left: 0;
}

.tgl + .tgl-btn:before {
    display: none;
}

.tgl:checked + .tgl-btn:after {
    left: 50%;
}

.tgl-light + .tgl-btn {
    background: #C1C1C1;
    border-radius: 2em;
    padding: 2px;
    -webkit-transition: all .4s ease;
    transition: all .4s ease;
}

.tgl-light + .tgl-btn:after {
    border-radius: 50%;
    background: #fff;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
}

.tgl-light:checked + .tgl-btn {
    background: #da7f45;
}

.tgl-light:disabled + .tgl-btn {
    cursor: auto;
    background: #f0f0f0;
}
/*Toggle Button*/

/*Toggle Group -> radio button*/
.custom-toggle{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.custom-toggle label{
    border: 1px solid #e7eaec;
    padding: 6px;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background: white;
    border: 1px solid #e7eaec;
    border-radius: 4px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.custom-toggle label.first {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}


.custom-toggle label.last {

    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    margin-left: -1px;
}

.custom-toggle label.center {
    border-radius: 0;
    margin-left: -1px;
}

.custom-toggle:before, .custom-toggle:after{
    display: table;
    content: " ";
}

.custom-toggle:after{
    clear: both;
}

.custom-toggle input[type="checkbox"]{
    display: none;
}

.custom-toggle > label{
    width: 100%;
}

@media(min-width: 330px){
    .custom-toggle > label{
        width: calc(100% / 3);
    }
}


.custom-toggle input[type="checkbox"]:not(:checked) + label:hover {
    border: 1px solid #d2d2d2;
}

.custom-toggle > label:active{
    border: 1px solid #d2d2d2;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}

.custom-toggle input[type="checkbox"]:checked + label{
    background-color: #da7f45;
    border-color: #da7f45;
    color: #FFFFFF;
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}

.custom-toggle input[type="checkbox"]:disabled + label{
    color: #cacaca;
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}
/*Toogle Group*/

/*Live View Count*/
.live-view-count.flex-inline-form{
    border: 1px solid #ccc;
}

.live-view-count.flex-inline-form > div{
    margin-left: 0;
    margin-right: 0;
    width: 50%;
    text-align: center;
    padding: 10px 0;
}

.live-view-count.flex-inline-form > div.liveCount{
    width: 25%;
    border-left: 1px solid #ccc;
}

@media (max-width: 400px){
    .live-view-count.flex-inline-form > div{
        width: 60px;
    }

    .live-view-count.flex-inline-form > div.liveCount{
        width: calc((100% - 60px) / 2);
    }
}
/*Live View Count*/

/*UI Fix*/
label.flex-label{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

label.flex-label input[type=radio]{
    margin-top: 0;
    margin-right: 5px;
}
/*UI Fix*/

/*Liveview.html fixes*/
.flex-row.editCustomLines .btn{
    margin-bottom: 0;
}

/* .flex-row.editCustomLines div#editCustomLineMsg{ */
    /* -webkit-box-flex: 1; */
    /* -ms-flex: 1; */
    /* flex: 1; */
    /* font-weight: bold; */
/* } */

.flex-row.editCustomLines div#editCustomLineMsg,#editExclusionLineMsg{
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    font-weight: bold;
}

#editCustomLineMsg,
#resetCustomLineBtn{
    display: none;
}

#editExclusionLineMsg,
#resetExclusionLineBtn{
    display: none;
}


.cb_customLineEdit{
    display: none;
}

.cb_ExclusionLineEdit{
    display: none;
}

@media(max-width: 450px){
    .flex-row.editCustomLines .btn{
        width: 100%;
        margin-bottom: 5px;
        margin-right: 0;
    }

    .flex-row.editCustomLines div{
        width: 100%;
    }
}
/*Liveview.html fixes*/


/*Quick Fix for Slider Bar Too Long*/
.noUi-target{
    width: calc(100% - 40px);
    margin-left: 16px;
    margin-right: 10px;
}
/*Quick Fix for Slider Bar Too Long*/

/*Collapse Bar Fix*/
@media (max-width: 350px){
    .ibox-tools {
        float: none;
        text-align: right;
        display: block;
    }
}
/*Collapse Bar Fix*/

/*Fixed Sidebar Weird Behavior Issue*/
body.mini-navbar .navbar-default.navbar-static-side{
    display: none;
}
/*Fixed Sidebar Weird Behavior Issue*/

@media (max-width: 350px){
    .nav.navbar-top-links li.dropdown {
        display: inline-block !important;
    }
}

/*Fixed bottom navbar*/

.fixed-bottom-nav {
	display: table;
    width: 100%;
    cursor: pointer;
}

.bottom-nav-item,
.bottom-nav-item:focus,
.bottom-nav-item:active:focus,
.bottom-nav-item.active:focus {
	display: table-cell;
	max-width: 0px;
	text-align: center;
    vertical-align: middle;
    cursor: pointer;
}

.bottom-nav-item:active,
.bottom-nav-item.active,
.bottom-nav-item:hover,
.bottom-nav-item:active:hover,
.bottom-nav-item.active:hover {
	background-color: #e6e6e6;
}

.bottom-nav-item > i,
.fa-exclamation-triangle {
	color:grey;
}

.bottom-nav-item label{
    cursor: pointer;
}

.tuning-setting .footfallcam-tuning{
	width: 320px;
	height: 240px;
	margin: 0 auto;
}
		
.tuning-setting  + .footfallcam-traffic{
	max-width: 320px;
	margin-left: auto;
	margin-right: auto;
}
.canvascontainer{
	width:0px;
	position:absolute;
	cursor : pointer;
	z-index : 1;
}
.fa1 {
	display: inline-block;
	font: normal normal normal 14px/1 FontAwesome;
	font-size: 10px !important;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	transform: translate(0, 0);
	margin-bottom:6px;
    color:black;
    vertical-align: top;
	}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover{
    background-color: #1ab394;
}

/*For h2 content only */
.h2-content{
	margin-top: 10px;
}

.h2-content2{
	text-align: center;
}

.input-size{
	font-size: 10px !important;
}

@media print {
    body {
        -webkit-print-color-adjust: exact;
    }

    #page-svg-loading {
        display: none !important;
    }
}

#page-svg-loading {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 999;
    background-color: rgba(0,0,0, 0.6);
    display: none;
}

#page-svg-loading > .svg-wrapper {
    position: fixed;
    width: 80px;
    height: 80px;
    left: calc(50% - 40px);;
    top: 120px;
    -webkit-animation: loadingSpin .6s infinite linear;
    animation: loadingSpin .6s infinite linear;
}

body.mini-navbar #page-svg-loading > .svg-wrapper, body.body-small #page-svg-loading > .svg-wrapper {
    left: calc(50% - 40px);
}

body.body-small.mini-navbar #page-svg-loading > .svg-wrapper {
    display: none !important;
}

body.generating-pdf #page-svg-loading{
    display: block !important;
}

@-webkit-keyframes loadingSpin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes loadingSpin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

div.isResetCount{
    text-align: right !important;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;
    text-decoration: underline;
}

/*Tabbed UI*/
.one-row.tab-container {
    margin: 0 auto;
}

ul.tabs {
    margin: 0px;
    padding: 0px;
    list-style: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

ul.tabs li {
    background: #F7F7F7;
    color: #222;
    display: inline-block;
    padding: 0 20px;
    cursor: pointer;
    line-height: 40px;
    border: 1px solid #ccc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    -webkit-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

ul.tabs li:hover {
    background: rgba(0,0,0,.1);
}

ul.tabs li.current {
    background: #fff;
    color: #000;
    border: 1px solid #ccc;
    border-bottom: 1px solid #fff;
}

.tab-content {
    margin-top: -1px;
    display: none;
    background: #fff;
    padding: 20px;
    border: 1px solid #ccc;
}

.tab-content:before {
    display: table;
    content: " ";
}

.tab-content:after {
    clear: both;
}

.tab-content:after {
    display: table;
    content: " ";
}

.tab-content.current {
    display: inherit;
}

.tab-content-custom{
    font-weight: bold;
    color: #676a6c !important;
}

/*Tabbed UI*/

.div-walk-test{
    margin-top: 8px;
    border: 1px solid #ebecee;
    background-color: #f3f2f4;
}

.div-inner-walk-test{
    padding: 10px;
}

.div-button{
    margin-bottom: 10px;
    margin-right: 10px;
}

.btn-request-tuning{
    white-space: pre-line;
}

a.a-walk-test{
    color: #da7f45;
    text-decoration: underline;
}

a.a-walk-test:hover, a.a-walk-test:visited, a.a-walk-test:focused{
    color: #da7f45 !important;
}

button.displayNone{
    display: none;
}

/* to allow class have a click function  */
div.gotoNetwork{
	cursor: pointer;
}

div.gotoTuning{
	cursor: pointer;
}

div.gotoCapture{
	cursor: pointer;
}

div.gotoUpgrade{
	cursor: pointer;
}

div.gotoHome{
    cursor: pointer;
}

div.gotoNetworkDiagnosis{
    cursor: pointer;
}

div.gotoParing{
    cursor: pointer;
}

/*End */

.preload * {
    -webkit-transition: none !important;
    -moz-transition: none !important;
    -ms-transition: none !important;
    -o-transition: none !important;
  }


/* Styling for Troubleshooting page */

ol.padding-left{
    padding-left: 1.0em;
}
li.padding-left{
    padding-left: 10px;
}

div.div-col-total{
    margin-top: 5px;
    margin-bottom: 5px;
    display: inline-block;
}

div.div-instruction{
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
}

div.div-instruction-bottom{
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 10px;
    width: 100%;
}

div.div-float-img{
    float: left;
    margin-right: 5px;
    height: 25px;
    width: 25px;
}

div.div-float-img-cable{
    float: left;
    margin-right: 5px;
}

div.div-text{
    flex: 1;
}

div.div-button-video{
    text-align: center;
}

div.container-margin-2{
    margin-top: 20px;
}

div.div-table{
    width: 45%;
}

table.table-wire-instruction, tr.table-wire-instruction, td.table-wire-instruction, thead.table-wire-instruction{
    border: 2px solid #cccccc;
    text-align: center;
    padding: 10px;
    font-family: "open sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
}


table.table-wire-instruction{
    margin: 0 auto;
    table-layout: fixed;
    max-width: 400px;
    width: 100% !important;
    word-wrap: break-word;
}

thead.table-wire-instruction{
    font-weight: bold;
}

div.div-table-instruction{
    margin-top: 9px;
}

div.button-margin-top{
    margin-top: -15px;
}

img.png-cursor{
    cursor: pointer;
}

div.invisible-absolute{
    position: absolute;
    top: -9999px;
}

/* End of Styling for Troubleshooting page */

/* Styling for Calculator page */
div.calculator-margin-top{
    margin-top: 20px;
}

h2.font-22{
    font-size: 22px !important;
    font-weight: bold !important;
}

.clearance-graphic-wrapper {
    position: relative;
    overflow: hidden;
}

    .clearance-graphic-wrapper .clearance-obstacle {
        position: absolute;
        font-size: 20px;
        left: 4%;
        top: calc(50% - 13px);
        z-index: 1;
        line-height: 1;
        padding: 5px;
        color: #007C88;
        font-size: 16px;
        font-weight: bold;
    }

    .clearance-graphic-wrapper .clearance-result {
        position: absolute;
        font-size: 20px;
        left: 10%;
        top: 2%;
        z-index: 1;
        line-height: 1;
        padding: 5px;
        color: #007C88;
        font-size: 16px;
        font-weight: bold;
    }

        .clearance-graphic-wrapper .clearance-result.empty,
        .clearance-graphic-wrapper .clearance-obstacle.empty {
            padding: 0;
        }

    .clearance-graphic-wrapper > .clearance-tolerance {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        height: 0;
        transition: 0.2s height ease-in-out;
        z-index: 1;
        background-color: #ADD8E6;
        opacity: 0.9;
        border-radius: 0 0 100% 100%;
    }

@media(max-width: 767px) {
    .clearance-graphic-wrapper .clearance-result,
    .clearance-graphic-wrapper .clearance-obstacle {
        background: rgba(0,0,0,.5);
        color: #FFFFFF;
    }
}

@media (min-width: 992px) {
    .form-group .new-control-label {
        padding-top: 7px;
        margin-bottom: 0;
        text-align: right;
    }
}

div.m-t-10 {
    margin-top: 10px !important;
}
/* End of Styling for Calculator page */

span.isGreen{
    color: green;
}

span.isBlue{
    color: blue;
}

span.isRed{
	color: red;
}

/* Styling for Liveview Water Mark  */
div.water-mark{
    position: absolute;
    color: white;
    font-size: 100%;
    width: 100%;
    height: 100%;
    text-align: center;
    background-color: black;
    padding: 20px;
    margin: auto;
    display: flex;
    align-items: center;
    
}

div.water-mark2{
    text-align: center;
    width: 100%
}

/* @media(max-width: 800px){
    div.water-mark{
        font-size: 200%;
    }
}

@media(max-width: 532px){
    div.water-mark{
        font-size: 150%;
    }
}
@media(max-width: 428px){
    div.water-mark{
        font-size: 130%;
    }
}

@media(max-width: 412px){
    div.water-mark{
        font-size: 100%;
    }
}
@media(max-width: 329px){
    div.water-mark{
        font-size: 90%;
    }
}
@media(max-width: 308px){
    div.water-mark{
        font-size: 80%;
    }
} */

div.blob-position{
    position: relative;
}

img.water-mark{
    opacity: .1;
}
/* End of Styling for Liveview Water Mark  */

div.remove-border{
    border: none !important;
}

button.margin-auto{
    margin: 2px;
}

button.btn-same-width{
    margin:5px;
    width: 100%;
}

div.container-walk-test-margin-top{
    margin-top: 20px;
}

div.ibox-tittle-walk-test{
    margin-bottom: 12px !important;
}

div.hr-line-dashed-walk-test{
    border-top: 1px dashed white;
    color: #ffffff;
    background-color: #ffffff;
    height: 1px;
    margin: 5px 0;
}

.no-padding-left-right{
    padding-left: 0px;
    padding-right: 0px;
}
.hide-attribute{
    display: none !important;

}

.live-view-modal-width{
    width: 91%;
}

/* == Header == START */
.header-title {
    display: flex;
    align-items: center;
    padding: 15px 10px;
    font-size: 20px;
    color: white;
    background-color: #cc4a48;
}
/* == Header == END */

/* == Page wrapper == START */
.page-wrapper {
    margin-top: 75px;
    margin-bottom: 65px;
}

.flex-center {
    display: flex;
    align-items: center !important;
    justify-content: center !important;
}

.flex-top-right {
    display: flex;
    align-items: flex-start !important;
    justify-content: flex-end !important;
}

.ibox-tools {
    display: block;
    float: none;
    margin-top: 0;
    position: relative;
    padding: 0;
    text-align: right;
    margin-left: auto;
    width: fit-content;
}

.form-control-static {
    display: inline-block;
}

.center-block-div-row {
    text-align: center;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.center-block-div-col {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.btn.active,
.btn:active,
.btn.focus,
.btn:focus,
.btn.active.focus,
.btn.active:focus,
.btn:active.focus,
.btn:active:focus {
    outline: none;
}

.tooltip.in {
    opacity: 1;
}
/* == Page wrapper == END */

/* == Loader wrapper == START */
.loader-wrapper {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    background-color: white;
}
/* == Loader wrapper == END */

/* == Footer == START */
.bottom-navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
}

.bottom-navbar .btn {
    margin: 0px 10px;
    padding: 8px 32px;
}

.bottom-navbar i.left-btn-icon{
    margin-right: 10px;
}

.bottom-navbar i.right-btn-icon{
    margin-left: 10px;
}

@media screen and (max-width: 410px) {
    .bottom-navbar .btn {
        padding: 8px 16px;
    }
}
/* == Footer == END */

/* == Liveview == START */
.single-liveview {
    width: 100%;
}
/* == Liveview == END */

/* == Network Page == START */
.network-address-separator {
    margin-left: 5px;
    margin-right: 5px;
    display: flex;
    align-items: center;
}

.network-address-separator > i {
    font-size: 5px;
}
/* == Network Page == END */

/* == Walk Test Page == START */
.image-div {
    width: 35vw;
    position: relative;
    margin: auto;
}

.image-div.walk-test {
    display: flex;
    justify-content: center;
    overflow: hidden;
}

.black-overlay {
    background-color: black;
    opacity: 0.7;
    position: absolute;
    width: 100%;
    height: 100%;
}

.overlay-text {
    position: absolute;
    z-index: 10;
    padding: 15px;
    font-size: calc(8px + (18 - 8) * ((100vw - 300px) / (1920 - 300)));
}

.overlay-button {
    color: white;
    border-color: white;
    background-color: transparent;
    display: block;
    margin: 20px auto 0px auto;
    font-size: inherit;
}

.overlay-button:hover,
.overlay-button:focus,
.overlay-button:active,
.overlay-button.active,
.overlay-button:active:focus,
.overlay-button:active:hover,
.overlay-button.active:hover,
.overlay-button.active:focus {
  background-color: transparent;
  border-color: #da7f45;
  color: #FFFFFF;
}

.loader {
    z-index: 10;
    width: 50px;
    height: 50px;
    margin: auto;
    border: 6px solid #f3f3f3;
    border-radius: 50%;
    border-top: 6px solid #da7f45;
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
  
.video-recording-border {
    border: 5px solid #ed5565;
}

.middle-btn-icon {
    margin: 0px 5px;
}

@media screen and (min-width: 769px) and (max-width: 1024px) {
    .image-div {
        width: 60vw;
    }
}

@media screen and (max-width: 768px) {
    .loader {
        width: 36px;
        height: 36px;
    }

    .image-div {
        width: 95%;
    }

    .overlay-text {
        position: absolute;
        z-index: 10;
        padding: 15px;
        font-size: calc(8px + (18 - 8) * ((100vw - 300px) / (768 - 300)));
    }
}
/* == Walk Test Page == END */

/* == Walk Test Guidance Page == START */
.text-medium {
    font-size: initial;
}
/* == Walk Test Guidance Page == END */

/* == Checkbox and radio button == START */
.container-checkbox-group, .container-radio-group {
    display: flex;
    flex-direction: column;
}
/* == Checkbox and radio button == END */

/* == Switchery toggle == START */
/* Only for small Switchery toggle */
.switchery-small-form-control {
    padding-top: 5px;
}
/* == Switchery toggle == END */

/* Toggle Group -> radio button */
.custom-toggle {
    text-align: center;
    /*margin-bottom: 20px;*/
}

.custom-toggle:after {
    clear: both;
}

.custom-toggle label {
    border: 1px solid #e7eaec;
    padding: 6px 12px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background: white;
    border: 1px solid #e7eaec;
    border-radius: 4px;
}

.custom-toggle label.first {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}


.custom-toggle label.last {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    margin-left: -1px;
}

.custom-toggle label.center {
    border-radius: 0;
    margin-left: -1px;
}

.custom-toggle:before, .custom-toggle:after {
    display: table;
    content: " ";
}

.custom-toggle:after {
    clear: both;
}

.custom-toggle input[type="radio"] {
    display: none;
}

.custom-toggle > label {
    display: inline-block;
    float: left;
    width: calc(100% / 3);
}

@media screen and (max-width: 767px) {
    .custom-toggle > label {
        width: calc(100% / 2);
    }
}

.custom-toggle input[type="radio"]:not(:checked) + label:hover {
    border: 1px solid #d2d2d2;
}

.custom-toggle > label:active {
    border: 1px solid #d2d2d2;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}

.custom-toggle input[type="radio"]:checked + label {
    background-color: #da7f45;
    border-color: #da7f45;
    color: #FFFFFF;
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}

.custom-toggle input[type="radio"]:disabled + label {
    color: #cacaca;
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}
/* Toggle Group */

/* Tooltip */
.tooltip.right {
    width: fit-content;
}
/* END -- Tooltip */


#top-navbar {
    background-color: #cc4a48;
    color: #FFFFFF;
    display: flex;
}

.top-nav-item,
.top-nav-item:focus,
.top-nav-item:active:focus,
.top-nav-item.active:focus {
    margin: auto;
    width: 100%;
    text-align: center;
    cursor: pointer;
    border-bottom: 3px solid transparent;
}

.top-nav-item:active,
.top-nav-item.active,
.top-nav-item:hover,
.top-nav-item:active:hover,
.top-nav-item.active:hover {
    border-bottom: 3px solid #FFFFFF;
}

div.top-nav-color {
    border-bottom: 3px solid #FFFFFF;
}

#top-navbar .content {
    font-size: 25px;
    margin: 10px 0 12px 0;
    font-weight: 300;
}